=== debian/control ===
Source: ros-indigo-md49-serialport
Section: misc
Priority: extra
Maintainer: Fabian Prinzing <scheik.todeswache@googlemail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp
Homepage: http://www.the-starbearer.de
Standards-Version: 3.9.2

Package: ros-indigo-md49-serialport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp
Description: The md49_serialport package
